/********************* TOOLTIP *************************/

.tooltip-parent {cursor: pointer;}

.tooltip {
    display: none;
    max-width: 300px;
    /* min-width: 100px; */
    position: absolute;
    top: 0;
    left: 0;
    background: white;
    padding: 8px 15px;
    border-radius: 4px;
    box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.15);
    z-index: 10;
    /* font-size: 14px; */
}

.tooltip p:last-of-type {
    margin-bottom: 0;
}

.tooltip-arrow {
    position: absolute;
    background: white;
    width: 10px;
    height: 10px;
    transform: rotate(45deg);
}

/* new tooltip using anchor positioning for non-critical info */
.tooltip-parent-new + .tooltip-new { display: none; }

@supports (anchor-name: --x) {
    .tooltip-new {
        position: fixed;
        top: anchor(bottom);
        justify-self: anchor-center;
        margin-top: 6px;

        max-width: 300px;
        background: white;
        padding: 8px 15px;
        border-radius: 4px;
        box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.15);
        z-index: 10;
    }

    .tooltip-parent-new:hover + .tooltip-new,
    .tooltip-new:hover { display: block; }
}

/**** OVERLAY IMAGE + generalized overlay ****/

.overlayLayerImage, .overlay-layer {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    display: none;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.7);
    /* 0.7 = 70% opacity */
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    text-align: center;
    z-index: 10;
}

.overlay-layer {
    display: flex; justify-content: center; align-items: center;
    scrollbar-color: var(--gray) transparent;
}
.overlay-layer .box-content {
    text-align: left;
    /* margin: 0px auto;
    margin-top: 50px; */
    padding: 10px;
    border: 1px solid var(--lightGrayHover);
    background-color: var(--white);
    border-radius: 10px;
    max-width: 700px;
    max-height: 95%;
    z-index: 10;
    overflow-y: scroll;
    position: relative;
}

.overlayImage {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.overlayLayerImage img {
    max-height: 90%;
    max-width: 90%;
    background-color: white;
}

/**** OVERLAY QR ****/

.overlayLayerQR {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    display: none;
    position: fixed;
    background-color: var(--overlay-background);
    /* 0.7 = 70% opacity */
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    text-align: center;
    z-index: 30;
    padding-top: 100px;

    cursor: pointer;
}

.overlayQR {
    width: min-content;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    background: var(--white);
    padding: calc(var(--unit) * 4);
    border-radius: var(--unit);
}

.overlayLayerQR #QRcode {}

/**** OVERLAY RULE ****/

.overlayLayerRule {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    display: none;
    position: fixed;

    background-color: var(--overlay-background);
    /* 0.7 = 70% opacity */
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    text-align: center;
    z-index: 30;
    padding: 30px;
    cursor: pointer;
}

@media (max-width: 550px) {.overlayLayerRule {padding: 10px 0px;}}

.overlayRule {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.overlayRule .content-box {
    overflow-y: scroll;
    cursor: text;
    max-width: 800px;
}

.overlayRule .overlayLayerRuleClose {
    display: flex;
    justify-content: flex-end;
    cursor: pointer;
}